> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hotel details

> Hotel details



## OpenAPI

````yaml GET /v1/google/hotels/details
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/hotels/details:
    get:
      tags:
        - Google Hotels
      summary: Hotel details
      description: Get detailed hotel information and pricing.
      operationId: hotel_details_api_v1_hotels_details_get
      parameters:
        - name: property_token
          in: query
          required: true
          schema:
            type: string
            description: Property token from search results
            title: Property Token
          description: Property token from search results
        - name: check_in
          in: query
          required: true
          schema:
            type: string
            description: Check-in date (YYYY-MM-DD)
            title: Check In
          description: Check-in date (YYYY-MM-DD)
        - name: check_out
          in: query
          required: true
          schema:
            type: string
            description: Check-out date (YYYY-MM-DD)
            title: Check Out
          description: Check-out date (YYYY-MM-DD)
        - name: adults
          in: query
          required: false
          schema:
            type: integer
            default: 2
            title: Adults
        - name: currency
          in: query
          required: false
          schema:
            type: string
            title: Currency
            default: USD
        - name: gl
          in: query
          required: false
          schema:
            type: string
            default: us
            title: Gl
        - name: hl
          in: query
          required: false
          schema:
            type: string
            default: en
            title: Hl
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HotelDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HotelDetailResponse:
      properties:
        property:
          $ref: '#/components/schemas/HotelProperty'
      type: object
      required:
        - property
      title: HotelDetailResponse
      description: Response for GET /api/v1/hotels/details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HotelProperty:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        gps_coordinates:
          anyOf:
            - $ref: '#/components/schemas/GpsCoordinates'
            - type: 'null'
        hotel_class:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hotel Class
        eco_certified:
          type: boolean
          title: Eco Certified
          default: false
        check_in_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Check In Time
        check_out_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Check Out Time
        overall_rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Overall Rating
        reviews_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reviews Count
        rate_per_night:
          anyOf:
            - $ref: '#/components/schemas/HotelRate'
            - type: 'null'
        total_rate:
          anyOf:
            - $ref: '#/components/schemas/HotelRate'
            - type: 'null'
        prices:
          items:
            $ref: '#/components/schemas/HotelPrice'
          type: array
          title: Prices
        nearby_places:
          items:
            $ref: '#/components/schemas/HotelNearbyPlace'
          type: array
          title: Nearby Places
        amenities:
          items:
            type: string
          type: array
          title: Amenities
        images:
          items:
            type: string
          type: array
          title: Images
        property_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Property Token
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
      type: object
      required:
        - name
      title: HotelProperty
      description: A hotel search result.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GpsCoordinates:
      properties:
        lat:
          type: number
          title: Lat
        lng:
          type: number
          title: Lng
      type: object
      required:
        - lat
        - lng
      title: GpsCoordinates
      description: GPS coordinates.
    HotelRate:
      properties:
        lowest:
          anyOf:
            - type: number
            - type: 'null'
          title: Lowest
        extracted:
          anyOf:
            - type: number
            - type: 'null'
          title: Extracted
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
      type: object
      title: HotelRate
      description: Hotel rate information.
    HotelPrice:
      properties:
        source:
          type: string
          title: Source
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        cancellation_policy:
          anyOf:
            - type: string
            - type: 'null'
          title: Cancellation Policy
      type: object
      required:
        - source
      title: HotelPrice
      description: A hotel price from a specific source.
    HotelNearbyPlace:
      properties:
        name:
          type: string
          title: Name
        transport:
          anyOf:
            - type: string
            - type: 'null'
          title: Transport
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
      type: object
      required:
        - name
      title: HotelNearbyPlace
      description: A place near the hotel.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````